curl --request POST \
--url https://api.axiom.co/v2/tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"datasetCapabilities": {},
"description": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"orgCapabilities": {
"annotations": [
"create"
],
"apiTokens": [
"create"
],
"auditLog": [
"read"
],
"billing": [
"read"
],
"dashboards": [
"create"
],
"datasets": [
"create"
],
"endpoints": [
"create"
],
"flows": [
"create"
],
"integrations": [
"create"
],
"monitors": [
"create"
],
"notifiers": [
"create"
],
"rbac": [
"create"
],
"sharedAccessKeys": [
"read"
],
"users": [
"create"
],
"views": [
"create"
]
},
"viewCapabilities": {}
}
'{
"datasetCapabilities": {},
"id": "<string>",
"name": "<string>",
"orgCapabilities": {
"annotations": [
"create"
],
"apiTokens": [
"create"
],
"auditLog": [
"read"
],
"billing": [
"read"
],
"dashboards": [
"create"
],
"datasets": [
"create"
],
"endpoints": [
"create"
],
"flows": [
"create"
],
"integrations": [
"create"
],
"monitors": [
"create"
],
"notifiers": [
"create"
],
"rbac": [
"create"
],
"sharedAccessKeys": [
"read"
],
"users": [
"create"
],
"views": [
"create"
]
},
"description": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"samlAuthenticated": true,
"viewCapabilities": {},
"token": "<string>"
}Create API token
curl --request POST \
--url https://api.axiom.co/v2/tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"datasetCapabilities": {},
"description": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"orgCapabilities": {
"annotations": [
"create"
],
"apiTokens": [
"create"
],
"auditLog": [
"read"
],
"billing": [
"read"
],
"dashboards": [
"create"
],
"datasets": [
"create"
],
"endpoints": [
"create"
],
"flows": [
"create"
],
"integrations": [
"create"
],
"monitors": [
"create"
],
"notifiers": [
"create"
],
"rbac": [
"create"
],
"sharedAccessKeys": [
"read"
],
"users": [
"create"
],
"views": [
"create"
]
},
"viewCapabilities": {}
}
'{
"datasetCapabilities": {},
"id": "<string>",
"name": "<string>",
"orgCapabilities": {
"annotations": [
"create"
],
"apiTokens": [
"create"
],
"auditLog": [
"read"
],
"billing": [
"read"
],
"dashboards": [
"create"
],
"datasets": [
"create"
],
"endpoints": [
"create"
],
"flows": [
"create"
],
"integrations": [
"create"
],
"monitors": [
"create"
],
"notifiers": [
"create"
],
"rbac": [
"create"
],
"sharedAccessKeys": [
"read"
],
"users": [
"create"
],
"views": [
"create"
]
},
"description": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"samlAuthenticated": true,
"viewCapabilities": {},
"token": "<string>"
}Name of the token
Show child attributes
Description of the token
Expiration date of the token (ISO 8601 format)
Show child attributes
Show child attributes
CreateApiTokenResponse
Show child attributes
ID of the token
Name of the token
Show child attributes
Description of the token
Expiration date of the token (ISO 8601 format)
Show child attributes
Was this page helpful?